# fn:idref

fn:idref(string* $srcval) → node()*

Function signature

$srcval | xs:string *
Result | node() *

Finds the nodes that link to the element with a given ID value. These will be element or attribute nodes marked by virtue of schema or DTD validation as IDREF or IDREFS values.

XPath 2.0 Specification

fn:idref(string* $srcval, node() $doc) → node()*

Function signature

$srcval | xs:string *
Result | node() *

Finds the elements that link to the element with a given ID value. These will be element or attribute nodes marked by virtue of schema or DTD validation as IDREF or IDREFS values.

XPath 2.0 Specification

Next